<?php
try{
  throw new Exception("Testowy obiekt wyjątku", 123);
}
catch(Exception $e){
  echo "Został wygenerowany wyjątek!\n";
  echo "Treść komunikatu: ", $e->getMessage(), "\n";
  echo "Kod błędu: ", $e->getCode(), "\n";
  echo "Nazwa pliku: ", $e->getFile(), "\n";
  echo "Numer linii: ", $e->getLine(), "\n";
}
?>
